## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface LockPromotionInfo

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  LockPromotionInfoImpl

    public interface LockPromotionInfo

extends SQLObject

A representation of the model object 'Lock Promotion Info'.

The following features are supported:

- `Row Lock Promotion`
- `LWM`
- `HWM`
- `PCT`

See Also:
  `SybaseasesqlmodelPackage.getLockPromotionInfo()`

Method Summary
`int` `getHWM()` Returns the value of the 'HWM' attribute.
`int` `getLWM()` Returns the value of the 'LWM' attribute.
`int` `getPCT()` Returns the value of the 'PCT' attribute.
`boolean` `isRowLockPromotion()` Returns the value of the 'Row Lock Promotion' attribute.
`void` `setHWM(int value)` Sets the value of the '`HWM`' attribute.
`void` `setLWM(int value)` Sets the value of the '`LWM`' attribute.
`void` `setPCT(int value)` Sets the value of the '`PCT`' attribute.
`void` `setRowLockPromotion(boolean value)` Sets the value of the '`Row Lock Promotion`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isRowLockPromotion

    boolean isRowLockPromotion()

  Returns the value of the 'Row Lock Promotion' attribute.

  If the meaning of the 'Row Lock Promotion' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Row Lock Promotion' attribute.
  See Also:
    `setRowLockPromotion(boolean)`, `SybaseasesqlmodelPackage.getLockPromotionInfo_RowLockPromotion()`

### setRowLockPromotion

    void setRowLockPromotion(boolean value)

  Sets the value of the '`Row Lock Promotion`' attribute.

  Parameters:
    `value` - the new value of the 'Row Lock Promotion' attribute.
  See Also:
    `isRowLockPromotion()`

### getLWM

    int getLWM()

  Returns the value of the 'LWM' attribute.

  If the meaning of the 'LWM' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'LWM' attribute.
  See Also:
    `setLWM(int)`, `SybaseasesqlmodelPackage.getLockPromotionInfo_LWM()`

### setLWM

    void setLWM(int value)

  Sets the value of the '`LWM`' attribute.

  Parameters:
    `value` - the new value of the 'LWM' attribute.
  See Also:
    `getLWM()`

### getHWM

    int getHWM()

  Returns the value of the 'HWM' attribute.

  If the meaning of the 'HWM' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'HWM' attribute.
  See Also:
    `setHWM(int)`, `SybaseasesqlmodelPackage.getLockPromotionInfo_HWM()`

### setHWM

    void setHWM(int value)

  Sets the value of the '`HWM`' attribute.

  Parameters:
    `value` - the new value of the 'HWM' attribute.
  See Also:
    `getHWM()`

### getPCT

    int getPCT()

  Returns the value of the 'PCT' attribute.

  If the meaning of the 'PCT' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'PCT' attribute.
  See Also:
    `setPCT(int)`, `SybaseasesqlmodelPackage.getLockPromotionInfo_PCT()`

### setPCT

    void setPCT(int value)

  Sets the value of the '`PCT`' attribute.

  Parameters:
    `value` - the new value of the 'PCT' attribute.
  See Also:
    `getPCT()`